Page MenuHomePhabricator

add subdomain for annual report 2016
Closed, ResolvedPublic

Description

Zachary McCune requests a subdomain for the "annual online report" to live at.

Something like, 2016.wikimediafoundation.org or https://annual.wikimedia.org/2016/

The subdomain will host the webpages documenting Wikimedia Foundation budgets, projects, and statements from FY15-16.

Previous Annual Reports are visible at https://annual.wikimedia.org/2014/ or https://15.wikipedia.org

Event Timeline

ZMcCune created this task.Nov 28 2016, 8:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2016, 8:01 PM
jrbs added a subscriber: jrbs.Nov 28 2016, 8:06 PM

Reckon https://annual.wikimedia.org/2016/ is probably the best shout here; 2016.wikimediafoundation.org would be a totally different format to that used in the past so probably not advisable.

Dzahn added a comment.Nov 28 2016, 8:25 PM

btw, the URL structure even works for /2007/ through /2013/ older reports, we have rewrite rules for that sending you to the old page on wikimediafoundation.org wiki

The setup for this is in 2 places:

a) repo operations/puppet , modules/annualreport

This sets up annual.wikimedia.org itself and makes puppet clone content but should not usually need an edit each year.

b) repo wikimedia/annualreport

This is where the actual content of the docroot lives and new content for each year should be uploaded.

So what is to do is:

git clone https://gerrit.wikimedia.org/r/p/wikimedia/annualreport

and "mkdir 2016" and upload the new content into that.

Then once content under /2016/ looks good, the index.html can be changed so that it does not redirect to the special 15 page anymore but to the normal /2016/ report and that will be it.

Change 323899 had a related patch set uploaded (by Dzahn):
add placeholder index for 2016 report

https://gerrit.wikimedia.org/r/323899

Change 323899 merged by Dzahn:
add placeholder index for 2016 report

https://gerrit.wikimedia.org/r/323899

Dzahn added a comment.Nov 28 2016, 8:54 PM

Here you go.

https://annual.wikimedia.org/2016/

Does this resolve the ticket to create the URL?

Or did you want to keep it open until the real content is ready and released?

Dzahn triaged this task as Normal priority.Nov 28 2016, 8:56 PM
Dzahn added a project: Operations.
Dzahn removed a project: Patch-For-Review.

https://annual.wikimedia.org/2016/
Does this resolve the ticket to create the URL?
Or did you want to keep it open until the real content is ready and released?

@ZMcCune: ping?

Dzahn assigned this task to ZMcCune.Dec 21 2016, 6:26 AM

@ZMcCune let me know if you have questions about uploading the content to gerrit. i can help with that if needed

@Heather: Any reason not to use https://annual.wikimedia.org/2016/?

@Dzahn: Thank you! We will let you know. Hope to have the static pages ready in early January.

That looks good. Thanks, everyone!

@Dzahn: Thank you! We will let you know. Hope to have the static pages ready in early January.

@ZMcCune: Any news to share, now that it's late January? :)

Change 339328 had a related patch set uploaded (by Dzahn):
add 2016 annual report data

https://gerrit.wikimedia.org/r/339328

dpatrick added a subscriber: dpatrick.EditedFeb 24 2017, 8:39 PM

I've reviewed both content and technical implementation of the 2016 Annual Report and found no major security problems. Here are a few notes on minor things:

  • "amoritization" on 2016/financials.html may be misspelled
  • In the video at the bottom of 2016/what-we-stand-for.html, at approx. 1:21, is it okay to show the list of users who have visited the office?
  • Use of Katherine and Jimmy's signatures may be useful in instances an attacker requires a signature on a physical form as part of a further attack. (I say this realizing that we've probably published Katherine and Jimmy's signatures before.
  • X-Frame-Options header is not set on live site (https://annual.wikimedia.org/2016/)

Full ZAP scan result:

Thank you so much @dpatrick!

  • Will check spelling on financials.html
  • Legal reviewed the video and said all content was OK
  • I asked @Heather about signatures and she reported that they are both widely available. Jimmy's signature is even on Commons

Change 339328 merged by Dzahn:
add 2016 annual report data

https://gerrit.wikimedia.org/r/339328

I've reviewed both content and technical implementation

Thank you! Way more detailed than expected and very fast.

I merged it after:

  • "amoritization" on 2016/financials.html may be misspelled

Fixed in https://gerrit.wikimedia.org/r/#/c/339328/4

  • In the video at the bottom..
  • Use of Katherine and Jimmy's signatures...

Was OKed by legal.

Looking at that now

Full ZAP scan result:

awesome :)


https://annual.wikimedia.org/2016/ is live but https://annual.wikimedia.org/ redirect was not changed yet ("soft launch").

Change 339803 had a related patch set uploaded (by Dzahn):
annualreport: add X-Frame-Options header to Apache config

https://gerrit.wikimedia.org/r/339803

Change 339803 merged by Dzahn:
annualreport: add X-Frame-Options header to Apache config

https://gerrit.wikimedia.org/r/339803

Dzahn added a comment.Feb 25 2017, 1:11 AM

Fixed with the change above. It now sends the header. Can be verified with https://tools.geekflare.com/web-tools/x-frame-options-test.

Change 339804 had a related patch set uploaded (by Dzahn):
switch index redirect from 2015 to 2016

https://gerrit.wikimedia.org/r/339804

Change 339804 merged by Dzahn:
switch index redirect from 2015 to 2016

https://gerrit.wikimedia.org/r/339804

Dzahn claimed this task.Feb 25 2017, 1:39 AM
Dzahn added a comment.Feb 25 2017, 1:48 AM

Old index redirect is cached but that's known and ok that way until Monday.

Dzahn closed this task as Resolved.Feb 27 2017, 5:38 PM
Dzahn removed a project: Patch-For-Review.

Alright, no more pending changes here. Index redirects, content is ok. I'm going to close this as resolved now.

Dzahn reopened this task as Open.Feb 28 2017, 12:46 AM

re-opening. dev sent a follow-up fix for social network sharing

https://gerrit.wikimedia.org/r/#/c/340263/

Change 340263 had a related patch set uploaded (by Dzahn; owner: Dzahn):
update 2016 HTML pages, follow-up fix for social network sharing

https://gerrit.wikimedia.org/r/340263

Change 340263 merged by Dzahn:
update 2016 HTML pages, follow-up fix for social network sharing

https://gerrit.wikimedia.org/r/340263

Change 340351 had a related patch set uploaded (by Dzahn):
[wikimedia/annualreport] CSS-fix for 2016 content

https://gerrit.wikimedia.org/r/340351

Change 340351 merged by Dzahn:
CSS-fix for 2016 content

https://gerrit.wikimedia.org/r/340351

Change 340361 had a related patch set uploaded (by Dzahn):
[wikimedia/annualreport] fix broken FB links in Jimmy's letter page

https://gerrit.wikimedia.org/r/340361

Change 340361 merged by Dzahn:
fix broken FB links in Jimmy's letter page

https://gerrit.wikimedia.org/r/340361

Dzahn closed this task as Resolved.Feb 28 2017, 9:33 PM
ZMcCune reopened this task as Open.Mar 8 2017, 8:43 PM

Per conversations on Wikimedia-l (https://lists.wikimedia.org/pipermail/wikimedia-l/2017-March/086629.html) and with Foundation staff, we have made 5 adjustments to site content.

https://gerrit.wikimedia.org/r/#/c/341756/

Dzahn added a comment.Mar 8 2017, 10:21 PM

patch set 2 of the changes above has been deployed just now

Seems like changed photos are not displaying (https://annual.wikimedia.org/2016/fact-8.html). @Varnent - any ideas on cause here?

jrbs added a comment.Mar 8 2017, 10:51 PM

Looks like the image "malasari-birdwatching.jpg" wasn't deployed or is mistyped.

jrbs added a comment.Mar 8 2017, 10:55 PM

Looks like the image "malasari-birdwatching.jpg" wasn't deployed or is mistyped.

Oh, it looks like the image that is missing should be at https://annual.wikimedia.org/2016/img/fact-headers/malasari-birdwatching.jpg. It doesn't appear to be in the Gerrit file list so I would guess that it wasn't replaced (unless I'm missing something there).

Change 341924 had a related patch set uploaded (by Foks):
[wikimedia/annualreport] Add missing file

https://gerrit.wikimedia.org/r/341924

Dzahn added a comment.Mar 8 2017, 11:37 PM

@jrbs The file was added as "2016/img/fact-cards/malasari-birdwatching-card.jpg" in https://gerrit.wikimedia.org/r/#/c/341756/

so should just be moved from fact-headers to fact-cards ?

Change 341924 merged by Dzahn:
[wikimedia/annualreport] Add missing file fact-headers/malasari-birdwatching.jpg

https://gerrit.wikimedia.org/r/341924

Dzahn added a comment.Mar 8 2017, 11:41 PM

I see, they are different files/size with the same name, so needed in both locations.

deployed

Dzahn closed this task as Resolved.Mar 10 2017, 8:37 PM

closing ticket again as it looks done for now. feel free to re-open if more changes are planned.